## org.apache.lucene.codecs.lucene42
Class Lucene42NormsFormat

    java.lang.Object
      org.apache.lucene.codecs.NormsFormat
          org.apache.lucene.codecs.lucene42.Lucene42NormsFormat

    public final class Lucene42NormsFormat

extends NormsFormat

Lucene 4.2 score normalization format.

NOTE: this uses the same format as `Lucene42DocValuesFormat` Numeric DocValues, but with different file extensions, and passing `PackedInts.FASTEST` for uncompressed encoding: trading off space for performance.

Files:

- `.nvd`: DocValues data
- `.nvm`: DocValues metadata

See Also:
  `Lucene42DocValuesFormat`

Constructor Summary
`Lucene42NormsFormat()` Sole constructor

Method Summary
`DocValuesConsumer` `normsConsumer(SegmentWriteState state)` Returns a `DocValuesConsumer` to write norms to the index.
`DocValuesProducer` `normsProducer(SegmentReadState state)` Returns a `DocValuesProducer` to read norms from the index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Lucene42NormsFormat

    public Lucene42NormsFormat()

  Sole constructor

Method Detail

### normsConsumer

    public DocValuesConsumer normsConsumer(SegmentWriteState state)
                                    throws IOException

  Description copied from class: `NormsFormat`
  Returns a `DocValuesConsumer` to write norms to the index.

  Specified by:
    `normsConsumer` in class `NormsFormat`
  Throws:
    `IOException`

### normsProducer

    public DocValuesProducer normsProducer(SegmentReadState state)
                                    throws IOException

  Description copied from class: `NormsFormat`
  Returns a `DocValuesProducer` to read norms from the index.

  NOTE: by the time this call returns, it must hold open any files it will need to use; else, those files may be deleted. Additionally, required files may be deleted during the execution of this call before there is a chance to open them. Under these circumstances an IOException should be thrown by the implementation. IOExceptions are expected and will automatically cause a retry of the segment opening logic with the newly revised segments.

  Specified by:
    `normsProducer` in class `NormsFormat`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.